%global momorel 2

Summary: XML-Writer module for perl (SOURCES)
Name: perl-XML-Writer
Version: 0.604
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Languages
Source0: http://www.cpan.org/modules/by-module/XML/XML-Writer-%{version}.tar.gz 
NoSource: 0
URL: http://www.cpan.org/modules/by-module/XML/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: perl >= 5.8.1
BuildArchitectures: noarch

%description
XML-Writer module for perl

%prep
%setup -q -n XML-Writer-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make


%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm -f %{buildroot}%{perl_vendorarch}/auto/XML/Writer/.packlist

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > XML-Writer-%{version}-filelist
if [ "$(cat XML-Writer-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f XML-Writer-%{version}-filelist
%defattr(-,root,root)
%doc Changes README* TODO

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.604-2m)
- rebuild against gcc43

* Tue Feb 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.604-1m)
- update to 0.604

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.603-2m)
- %%NoSource -> NoSource

* Thu Jul  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.603-1m)
- update to 0.603

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.602-2m)
- use vendor

* Sun Nov 19 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.602-1m)
- update to 0.602

* Sun Sep 17 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.601-1m)
- update to 0.601

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.600-2m)
- built against perl-5.8.8

* Fri Dec 30 2005 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.600-1m)
- update to 0.600

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.545-1m)
- version up to 0.545
- built against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.4.6-3m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.4.6-2m)
- remove Epoch from BuildPrereq

* Wed May 26 2004 Toru Hoshina <t@momonga-linux.org>
- (0.4.6-1m)
- spec file was autogenerated
